%define major 4
%define libname %mklibname smb4kcore %{major}

Name:		smb4k
Version:	1.1.2
Release:	%mkrel 1
Summary:	A KDE SMB share browser
Source:		http://downloads.sourceforge.net/smb4k/%{name}-%{version}.tar.xz
License:	GPLv2+
Group:		Networking/Other
Url:		http://smb4k.sourceforge.net
BuildRequires:  kdelibs4-devel
Requires:	samba-client
Requires:	%{libname} = %{version}
Obsoletes:	%{mklibname smb4kdialogs 2} < %{version}-%{release}
Conflicts:	%{name}-devel < 0.10.0-rc

%description
An SMB network and share browser for KDE 4 or later.

%files -f %{name}.lang
%{_kde_sysconfdir}/dbus-1/system.d/net.sourceforge.smb4k.mounthelper.conf
%{_kde_bindir}/smb4k*
%{_kde_datadir}/apps/kconf_update/*
%{_kde_datadir}/dbus-1/system-services/net.sourceforge.smb4k.mounthelper.service
%{_kde_datadir}/polkit-1/actions/net.sourceforge.smb4k.mounthelper.policy
%{_kde_libdir}/kde4/*.so
%{_kde_libdir}/libkdeinit4_smb4k.so
%{_kde_libdir}/libsmb4ktooltips.so
%{_kde_libdir}/kde4/libexec/mounthelper
%{_kde_applicationsdir}/smb4k.desktop
%{_kde_services}/plasma-applet-smb4k-qml.desktop
%{_kde_appsdir}/smb4k/
%{_kde_appsdir}/plasma/plasmoids/smb4k-qml/
%{_kde_datadir}/config.kcfg/smb4k.kcfg
%{_kde_iconsdir}/*/*/*/*

#------------------------------------------------	
%package -n %{libname}
Summary:	SMB4K core library
Group:		System/Libraries

%description -n %{libname}
Library for %{name}.

%files -n %{libname}
%{_kde_libdir}/libsmb4kcore.so.%{major}*

#------------------------------------------------
%package devel
Summary:	SMB4K development files
Group:		Development/KDE and Qt
Requires:	%{libname} = %{version}

%description devel
Development files for applications that need %{name}.

%files devel
%{_kde_libdir}/libsmb4kcore.so


#------------------------------------------------
%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build

%find_lang %{name} --with-html


%changelog
* Wed Jun 04 2014 luigiwalser <luigiwalser> 1.1.2-1.mga4
+ Revision: 633267
- 1.1.2 (fixes CVE-2014-2581)

* Sat Oct 19 2013 umeabot <umeabot> 1.0.7-2.mga4
+ Revision: 524175
- Mageia 4 Mass Rebuild

* Wed May 29 2013 fwang <fwang> 1.0.7-1.mga4
+ Revision: 430459
- new version 1.0.7

* Mon Jan 14 2013 umeabot <umeabot> 1.0.4-2.mga3
+ Revision: 382195
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 06 2012 fwang <fwang> 1.0.4-1.mga3
+ Revision: 288734
- new version 1.0.4

* Mon Jun 25 2012 fwang <fwang> 1.0.3-1.mga3
+ Revision: 263417
- new version 1.0.3

* Fri Jun 01 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 252660
- new version 1.0.2

* Sun Feb 05 2012 fwang <fwang> 1.0.0-1.mga2
+ Revision: 205060
- new version 1.0.0

* Tue Jan 24 2012 fwang <fwang> 0.10.92-1.mga2
+ Revision: 200527
- new version 0.10.92

* Wed Nov 16 2011 fwang <fwang> 0.10.90-1.mga2
+ Revision: 168087
- update file list
- new version 0.10.90

  + ze <ze>
    - version 0.10.71 (1.0.0 beta2)

* Fri Jul 08 2011 ze <ze> 0.10.70-1.mga2
+ Revision: 120037
- 0.10.70
- remove explicite requires since they already are handled internally
- put lib macro in top to be able to add explicite require to version in main package
- set requires to version only since this is an oficial release
- remove too old obsolete entries that are no longer in use
- imported package smb4k

